ArkTS 支持的 TS 版本是多少,为什么会出现部分 TS api 找不到 ?

在 DevEco 使用 TS 开发语言,使用到了 TextDecoder 类,报错 Cannot find name 'TextDecoder'. <tsCheck>。这个类从 TS 2.8 开始支持,但 DevEco 工具报错。

所以 DevEco 所带 SDK 支持的 TS 版本是多少?还有多少 TS API 不支持,在哪可以查到具体不支持的 API?


UI
DevEco Studio
2023-11-06 15:21:30
浏览
收藏 0
回答 1
待解决
回答 1
按赞同
/
按时间
Oolver

TextDecoder不是Web API么,ArkTS里没有也是正常的。


分享
微博
QQ
微信
回复
2023-11-06 17:03:21
相关问题
TSCallback类型找不到怎么回事?
601浏览 • 1回复 待解决
目前鸿蒙手机最新版本是多少
4667浏览 • 1回复 待解决
为什么找不到 @arkui-x.bridge?
193浏览 • 1回复 待解决
animator支持最大播放时间是多少
286浏览 • 1回复 待解决
ArkTS文件和TS文件区别
441浏览 • 1回复 待解决
PolarDBQPS最大是多少?
1550浏览 • 1回复 待解决
ArkTS写法是否可以按TS/JS逻辑理解
334浏览 • 1回复 待解决
是否会长期支持ets调用ts代码
194浏览 • 1回复 待解决
找不到api
3930浏览 • 1回复 待解决